<!DOCTYPE html>
<html>
  <head>
    <title>em.def blog</title>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Helvetica:300,400,700' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../main.css">
  </head>

  <body>
    <header class="container-fluid">
      <div class="row">
        <h1 class="col-sm-4"  style="color:#202020">e<a href="../index.html">m.def</a></h1>
        <nav class="col-sm-12 text-right">
          <a href="https://gitlab.com/mitaleeparikh/mitalee.parikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20"></a>
            &ensp;
          <a href="mailto:emaitee@gmail.com"><img class="img-fit" src="../meta/icons/005-diamond.png" height="20" width="20"></a>
        </nav>
      </div>
    </header>

    <section class="row">
      <section class="col-md-3">
           <nav id="leftnav">
            <a href="../fabacademy/pppm.html">Principles, Practices and Project Management</a><br>
            <a href="../fabacademy/cad.html">Computer-aided Design</a><br>
            <a href="../fabacademy/ccc.html">Computer-controlled Cutting</a><br>
            <a href="../fabacademy/ep.html">Electronics Production</a><br>
            <a href="../fabacademy/3dps.html">3D printing and scanning</a><br>
            <a href="../fabacademy/ed.html">Electronics Design</a><br>
            <a href="../fabacademy/ccm.html">Computer-controlled Machining</a><br>
            <a href="../fabacademy/mc.html">Molding and Casting</a><br>
            <a href="../fabacademy/wc.html">Wild Card Week</a><br>
            <a href="../fabacademy/iipi.html">Invention, Intellectual Property and Income</a><br>
            <a href="../fabacademy/input.html">Inputs</a><br>
            <a href="../fabacademy/output.html">Outputs</a><br>
            <a href="../fabacademy/mdef.fp.html">MDEF Final Project</a><br>
          </nav>
      </section>

      <section class="col-md-6">

          <h1>3D Scanning and printing</h1>
          <p>This week I made some 3d printed tools and 3d scanned using photogrammetry.</p>
          <p>I wanted to make simple tools this weeks, so I experimented with simple joint mechanisms.
          Some references that I used to develop my designs:  </p>
          <ul>
          <li><a href="https://www.compliantmechanisms.byu.edu/maker-resources">compliant Mechanisms Research (CMR by BYU)</a>  </li>
          <li><a href="https://www.youtube.com/watch?v=97t7Xj_iBv0">Why machines that bend are better</a>  </li>
          <li><a href="https://www.myminifactory.com/users/MakeAnything/collection/compliant-mechanisms">Compliant mechanisms by Devin Montes</a> - <a href="https://www.youtube.com/watch?v=PgDJlLqeTdo">video</a>  </li>
          <li><a href="https://www.myminifactory.com/object/3d-print-96658">These transformed chopsticks</a></li>
          </ul>
          <h2>Design</h2>
          <p>I first made a scaled-up version of a simple Gemclip and some other simple geometry clips. I bent one end to add a dimension, that does not allow it to be made using only one subtractive method.</p>
          <img src="../fabacademy/images/week5/simpleclips.jpg" class="img-fit"><br>

            <p>I first made it in 2D in plan to the size and proportion I wanted, and then extruded it in Z. Later I bent the inner part so that the model could no tbe made only subtractively easily, as now it had an undercut.</p>
            <img src="../fabacademy/images/week5/side.jpg" class="img-fit"><br>

            <p>Then I used some parts of these tranformed chopsticks reference above that I found</p>
            <img src="../fabacademy/images/week5/transformedchopsticks.jpg" class="img-fit"><br>

            <p>And then made normal tweezers and then modified the geomtry to make it compliant like the chopsticks above.</p>
            <img src="../fabacademy/images/week5/designing.jpg" class="img-fit"><br>

            <h2>The models</h2>
          <div class="sketchfab-embed-wrapper">
              <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/acabba4a8e95408484dcc6343d08ade7/embed?autospin=0.2" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

          <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
              <a href="https://sketchfab.com/3d-models/gemclip-acabba4a8e95408484dcc6343d08ade7?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Gemclip</a>
              by <a href="https://sketchfab.com/emaitee?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a>
              on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
          </p>
          </div>

          <p>Next after, watching some videos on making compliant mechanisms, I made a simple pick-and-place plier to test out the bending.</p>
          <div class="sketchfab-embed-wrapper">
              <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/850342b563e44e1eb9413b347701a423/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

          <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
              <a href="https://sketchfab.com/3d-models/compliant-mechanism-pliers-850342b563e44e1eb9413b347701a423?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Compliant mechanism, pliers</a>
              by <a href="https://sketchfab.com/emaitee?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a>
              on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
          </p>
          </div>

          <p>Some tweezers we used for holding down electronic components:</p>
          <div class="sketchfab-embed-wrapper">
              <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/85e7031fa9fa444eabe54ac6152ed525/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

          <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
              <a href="https://sketchfab.com/3d-models/simple-tweezers-85e7031fa9fa444eabe54ac6152ed525?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Simple tweezers</a>
              by <a href="https://sketchfab.com/emaitee?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a>
              on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
          </p>
          </div>

          <p>I wondered if it was easier to use the tweezers with a reversed action, where applying force releases the object. And by default it holds the object.
          For this, I used this <a href="https://www.myminifactory.com/users/MakeAnything/collection/compliant-mechanisms">mechanism designed by Devin Montes</a> - <a href="https://www.youtube.com/watch?v=PgDJlLqeTdo">video</a> and transformed it for the tweezers.</p>
          <div class="sketchfab-embed-wrapper">
              <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/43feaabeb46647b8a4778c10bea22740/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

          <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
              <a href="https://sketchfab.com/3d-models/compliant-tweezers-43feaabeb46647b8a4778c10bea22740?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Compliant tweezers</a>
              by <a href="https://sketchfab.com/emaitee?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a>
              on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
          </p>
          </div>

          <h2>Creating toolpaths</h2>
          <p>I used Cura to make toolpaths for my 3d prints. I uploaded my stl files, set my machine, choose PLA as my material and used these settings:</p>
          <p><img class="img-fit" src="../fabacademy/images/week5/cura.jpg"></p>
          <h2>Printing</h2>
          <p>I used an <a href="https://www.anycubic.com/products/anycubic-kossel-3d-printer">Anycubic Kossel Plus 3D printer</a> to print with a black 1.75mm PLA filament.</p>
          <p><img class="img-fit" src="../fabacademy/images/week5/anycubic.jpg"></p>
          <p>Printing the gemclip:
          The finish was alright, as the first layer spread a little too much, causing it to be broader then the actual form. The first layer has a layer height of 0.3mm, and all the consecutive ones were 0.15mm.
          I used a cutting blade to finish these edges.</p>
          <p><img class="img-fit" src="../fabacademy/images/week5/gem3d.jpg"><br><br>
          <img class="img-fit" src="../fabacademy/images/week5/gemedge.jpg"><br><br>
          <p>In the next print, I used the same layer height for all layers. I printed a simple pick and place plier using a bent compliant joint.</p>
          <p><img class="img-fit" src="../fabacademy/images/week5/simpleplier.gif"><br><br>
          <p>Simple nose-end tweezers:</p>
          <p><img class="img-fit" src="../fabacademy/images/week5/simpletweezers.jpg"><br><br>
          <p>Used the transformed chopstick geometry, modifoed it for the tweezers:
          <img class="img-fit" src="../fabacademy/images/week5/comptweezers.jpg"><br><br>
          <p>The bending details were too small, they broke while I was trying to clean them up.</p>
          <p><img class="img-fit" src="../fabacademy/images/week5/brokentweezers.jpg"><br><br>
          <p>Overall, I made some small experiments with simple tools. I hope to remake the tweezer with the semi-compliant mechanism again after modifying the design.</p>
          <p><img class="img-fit" src="../fabacademy/images/week5/lot.jpg"><br><br>
          <p>Useful reference:  </p>
          <a href="https://www.3dhubs.com/knowledge-base/">Design for 3d printing tutorials</a>

          <h3>For next time</h3>
          If I can have more time on the machines I can modify the mechanisms by trying out various different tollerences, size and setting. And maybe make a small set of complaint mechanism tools.</p>

          <h2>Photogrammetry</h2>
          <p>I used Agisoft Metashape to make a pointcloud. I followed this <a href="https://agisoft.freshdesk.com/support/solutions/articles/31000152092-3d-model-reconstruction">tutorial by Agisoft</a>.</p>
          <p>I clicked 53 images of the object on a plain background from all around.
          Steps to make a pointcloud:  </p>
          <ol>
          <li>Workflow &gt; Add photos  </li>
          <li>Workflow &gt; Align Photos (this step take some time depending on the number of key point limit and tie point limit you set.)  </li>
          <li>Some photos failed to align, but I got 9003 points  </li>
          <li>Workflow &gt; Build dense cloud - medium quality.  </li>
          <li>Workflow &gt; Build Mesh  </li>
          <li>Workflow &gt; Build textures  </li>
          </ol>
          <p>The process:
          <img class="img-fit" src="../fabacademy/images/week5/agisoft.gif" alt="metashape"></p>
          <p>The output:</p>
          <div class="sketchfab-embed-wrapper">
              <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/a3fdb19895234d9f9834fb48305ed7a4/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

          <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
              <a href="https://sketchfab.com/3d-models/nut-and-bolt-a3fdb19895234d9f9834fb48305ed7a4?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Nut and bolt</a>
              by <a href="https://sketchfab.com/emaitee?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a>
              on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
          </p>
          </div>

          <h2>3D Scanning</h2>
          <p>I used a Roland Modela MDX-20 to scan the same object.
          I used the <a href="http://fab.academany.org/2018/labs/barcelona/students/jeanbaptiste-natali/download/scanning_with_mdx-20_step_by_step.pdf">step-by-step manual</a> for this.
          <img class="img-fit" src="../fabacademy/images/week5/nutbolt.jpg" alt="nutbolt"></p>
          <p>Stuck the bolt and nut using a double sided tape on the raised level bed.
          <img class="img-fit" src="../fabacademy/images/week5/setup.jpg" alt="setup">
          I set the scanning area, as close to the object as possible. And a scanning grid of 0.5mm on both X and Y axes.</p>
          <p>The output:
          <img class="img-fit" src="../fabacademy/images/week5/output.jpg" alt="output"></p>
          <div class="sketchfab-embed-wrapper">
              <iframe title="A 3D model" width="640" height="480" src="https://sketchfab.com/models/c7382a9ac481437c8df7386913506f23/embed?autospin=0.2&amp;camera=0" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

          <p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
              <a href="https://sketchfab.com/3d-models/3d-scanned-nut-and-bolt-c7382a9ac481437c8df7386913506f23?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">3D scanned nut and bolt</a>
              by <a href="https://sketchfab.com/emaitee?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">emaitee</a>
              on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
          </p>
          </div>

          <h3>Design files</h3>
          <p><a href="../fabacademy/images/week5/clampsandclips.3dm.zip">All 3D models for printing</a><br>
            <a href="../fabacademy/images/week5/clay.probe.scan.stl.zip">Probe scan of a lump of clay</a><br>
            <a href="../fabacademy/images/week5/photogrammetry.obj.zip">Photogammetry of nut and bolt</a><br>
            <a href="../fabacademy/images/week5/probescan.zip">Probe scan of nut and bolt</a><br>
            <a href="../fabacademy/images/week5/reference.file.zip">These transformed chopsticks</a></p>


      </section>

    </section>

    <div class="footer">
        <div class="row">
        <div class="col-md-2">
          <p>&copy; 2019-20 <a href="https://www.linkedin.com/in/mitaleeparikh">Mitalee Parikh</a></p>
        </div>
        <div class="col-md-7">
          <p>This site is a documentation of my work done in 2019-2020 as a part of the <a href="https://mdef.iaac.net">Master in Design for Emergent Futures</a> programme at the <a href="https://iaac.net/educational-programmes/masters-programmes/master-in-design-for-emergent-futures-mdef/">Institute of Advanced Architecture of Catalonia</a> and <a href="https://elisava.net/en">Elisava Barcelona School of Design and Engineering</a> in collaboration with <a href="https://fabacademy.org/">FabAcademy.</p>
        </div>
        <div class="col-md-2">
        </div>
        <div class="col-md-1">
          <a href="https://www.instagram.com/emaitee/"><img class="img-fit" src="../meta/icons/011-cd.png" height="20" width="20">&ensp;
          <a href="https://www.goodreads.com/review/list/5828563-mitalee-parikh?shelf=mdef"><img class="img-fit" src="../meta/icons/013-radar.png" height="20" width="20">&ensp;
          <a href="https://twitter.com/MitaleeParikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20">
        </div>
        </div>
    </div>

  </body>

</html>
